Name:            python-ordered-set
Version:         2.0.2
Release:         1
Summary:         A mutable data structure
License:         MIT
URL:             https://github.com/LuminosoInsight/ordered-set
Source0:         https://pypi.python.org/packages/source/o/ordered-set/ordered-set-%{version}.tar.gz

BuildArch:       noarch

%description
An OrderedSet is a mutable data structure that is a hybrid of a list and a set.
It remembers the order of its entries, and every entry has an index number that
can be looked up.

%package     -n python2-ordered-set
Summary:        ordered-set for python2
%{?python_provide:%python_provide python2-ordered-set}
BuildRequires:  python2-devel python2-setuptools python2-nose

%description -n python2-ordered-set
Ordered-set for python2.

%package     -n python3-ordered-set
Summary:        ordered-set for python3
%{?python_provide:%python_provide python2-ordered-set}
BuildRequires:  python3-devel python3-setuptools python3-nose

%description -n python3-ordered-set
Ordered-set for python3.

%prep
%autosetup -n ordered-set-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py nosetests
%{__python3} setup.py nosetests

%pre

%preun

%post

%postun

%files -n python2-ordered-set
%license MIT-LICENSE
%doc README
%{python2_sitelib}/ordered_set-*.egg-info/
%{python2_sitelib}/ordered_set.py*

%files -n python3-ordered-set
%license MIT-LICENSE
%doc README
%{python3_sitelib}/ordered_set-*.egg-info/
%{python3_sitelib}/ordered_set.py
%{python3_sitelib}/__pycache__/ordered_set.*

%changelog
* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.2-1
- Package init
